DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::HierarchyLocker Class Reference

This is used to lock a Hierarchy. More...

## Public Member Functions
void | resetConfiguration ()
| Calls the `resetConfiguration()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name)
| Calls the `getInstance()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name, spi::LoggerFactory &factory)
| Calls the `getInstance()` method on the locked Hierarchy.

## Detailed Description

This is used to lock a Hierarchy.

The dtor unlocks the Hierarchy.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/hierlock.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2